# -*- encoding : utf-8 -*-

class Public::SpecificMapsController < ApplicationController
  layout :get_public_layout


  def show
    if false
      @specific_map = SpecificMap.find(params[:id])
    
      @specific_map_items = @specific_map.specific_map_items
    
      if params[:lat] and params[:lat] != "" and params[:lng] and params[:lng] != ""
  
        @specific_map_items = @specific_map_items.near([params[:lat].to_f, params[:lng].to_f], 999999, :units => :km)
      end
      @specific_map_items = @specific_map_items#.page(params[:page]).per(10)
    
    end
    redirect_to "/"
  end


  def cirques
    @specific_map = SpecificMap.find(2)
    
    @specific_map_items = @specific_map.specific_map_items
    
  end

end
